org.apache.poi.hssf.util

## Class CellReference

- java.lang.Object
- - org.apache.poi.ss.util.CellReference
  - - org.apache.poi.hssf.util.CellReference

- Deprecated.
  POI 4.0.0-SNAPSHOT. Use `CellReference` instead. Actually the replacement CellReference was added earlier, but the deprecation notice was added only in 4.0.0-SNAPSHOT.

      public final class CellReference
      extends CellReference

  Common conversion functions between Excel style A1, C27 style cell references, and POI usermodel style row=0, column=0 style references.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ss.util.CellReference

      `CellReference.NameType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellReference(int pRow, int pCol)` Deprecated.
    `CellReference(int pRow, int pCol, boolean pAbsRow, boolean pAbsCol)` Deprecated.
    `CellReference(java.lang.String cellRef)` Deprecated. Create an cell ref from a string representation.
    `CellReference(java.lang.String pSheetName, int pRow, int pCol, boolean pAbsRow, boolean pAbsCol)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.ss.util.CellReference

      `cellReferenceIsWithinRange, classifyCellReference, convertColStringToIndex, convertNumToColString, equals, formatAsString, formatAsString, getCellRefParts, getCol, getRow, getSheetName, hashCode, isColAbsolute, isColumnWithinRange, isPartAbsolute, isRowAbsolute, isRowWithinRange, isRowWithinRange, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CellReference

          public CellReference(java.lang.String cellRef)

      Deprecated.
      Create an cell ref from a string representation. Sheet names containing special characters should be delimited and escaped as per normal syntax rules for formulas.

    - #### CellReference

          public CellReference(int pRow,
                               int pCol)

      Deprecated.

    - #### CellReference

          public CellReference(int pRow,
                               int pCol,
                               boolean pAbsRow,
                               boolean pAbsCol)

      Deprecated.

    - #### CellReference

          public CellReference(java.lang.String pSheetName,
                               int pRow,
                               int pCol,
                               boolean pAbsRow,
                               boolean pAbsCol)

      Deprecated.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.